PPASearch: tool upang maghanap ng mga pakete sa mga repository ng PPA

Hindi ba parang lohikal sa iyo na mayroong isang tool upang magawang maghanap para sa isang pakete sa loob ng mahabang listahan ng mga repository ng PPA na magagamit sa Launchpad? Sa gayon, isasama raw ng Ubuntu Software Center ang tampok na ito sa mga hinaharap na paglabas. Sa sandaling ito, kailangan naming makuntento sa maliit na tool ng terminal na ito na tinatawag na ppasearch.

Ang mahaba at walang katapusang paghahanap sa pahina ng Launchpad upang malaman na ang pinagpala na imbakan ng PPA kung saan naka-host ang iyong paboritong application ay tapos na. Dumating si Ppasearch. Salamat dito, kailangan mo lamang ipasok ang pangalan ng application at ililista nito ang lahat ng posibleng mga repository ng PPA kung saan mo ito mai-install. 🙂

Instalasyon

sudo add-apt-repository ppa: wrinkliez / ppasearch
sudo apt-get update && sudo apt-get install ppasearch

Gamitin

Kapag na-install na, patakbuhin ang PPASearch, ipasok ang pangalan ng pakete na iyong interes at pagkatapos ay piliin ang imbakan ng PPA kung saan mo ito nais i-install. Si David Ainley, ang tagalikha ng script na ito, ay mabait upang gumawa ng isang video na nagpapaliwanag kung paano gamitin ang maliit na programa. 🙂

Fuente: Mga Forum sa Ubuntu


Ang nilalaman ng artikulo ay sumusunod sa aming mga prinsipyo ng etika ng editoryal. Upang mag-ulat ng isang pag-click sa error dito.

4 na puna, iwan mo na ang iyo

Iwanan ang iyong puna

Ang iyong email address ay hindi nai-publish. Mga kinakailangang patlang ay minarkahan ng *

*

*

  1. Responsable para sa data: Miguel Ángel Gatón
  2. Layunin ng data: Kontrolin ang SPAM, pamamahala ng komento.
  3. Legitimation: Ang iyong pahintulot
  4. Komunikasyon ng data: Ang data ay hindi maiparating sa mga third party maliban sa ligal na obligasyon.
  5. Imbakan ng data: Ang database na naka-host ng Occentus Networks (EU)
  6. Mga Karapatan: Sa anumang oras maaari mong limitahan, mabawi at tanggalin ang iyong impormasyon.

  1.   Simon dijo

    Ang ideya ay mabuti, ngunit kung ito ay ipinatupad nang maayos. Ang maliit na programa na iyon ay magsisilbi lamang upang punan ang aming mga repository sa Ubuntu trash:
    - Hindi nito sinasabi kung alin ang pinakabagong bersyon ng programa na hinanap sa bawat isa sa mga repository.
    - Hindi nito sinasala ang mga repository na may mga pakete para sa bersyon ng Ubuntu na ginagamit ko.
    Halimbawa, ang paghahanap para sa "gnome-do" ay nagbabalik ng isang malaking listahan ng mga repository na kabilang ang "PPA para sa GNOME Do Testers", na walang mga pakete para sa Lucid (ang ginagamit kong bersyon at kung saan ginagamit ko ang program na ito).
    Sa madaling sabi, walang silbi ang program na ito. Mas mahusay na maghanap ng Launchpad nang direkta at i-verify ang nilalaman ng repository bago idagdag ito.

  2.   Gumamit tayo ng Linux dijo

    Hmm ... nakakainteres na komento. Sa tingin ko ikaw ay ganap na tama. Bilang karagdagan, dapat nating idagdag ang mga posibleng peligro sa kaligtasan sakaling magamit ito nang labis o hindi wasto.
    Salamat x comment! Isang yakap! Paul

  3.   botanikal dijo

    Nagamit ko na ito at tila talagang nakakainteres na gamitin ang 🙂

  4.   Mahsdt dijo

    Salamat

    *** Paano upang ipagpatuloy ang paggamit ng Linux Mint sa isang bersyon na nag-expire na, hindi na sinusuportahan ***

    Narito mayroon kang isang maikling tutorial kung saan ipinaliwanag ito nang detalyado, sunud-sunod, kung ano ang maaaring gawin pagkatapos ng suporta para sa aming naka-install na bersyon o Live (USB pe) ng Linux Mint, na naging lipas na (sa http://www.linuxmint.com/oldreleases.php ang mga petsa ay iniulat), upang magpatuloy sa pag-install ng mga pakete (programa, aplikasyon) mula sa Synaptic (nang hindi ginagawa ito, ang ilan ay maaari pa ring mai-install ngunit ang pagsunod sa mga hakbang sa ibaba, higit na maaaring mai-install, partikular ang mga mula sa mga repository ng Ubuntu sa website ng ubuntu .com-maliban sa mga seguridad, na tila hindi maiimbak sa site na iyon sa mga direktoryo para sa mga lumang bersyon-)

    + Binubuksan namin ang Nautilus

    + Mag-click sa pataas na arrow hanggang maabot namin /

    + Pumasok kami atbp

    + Mag-click gamit ang kanang pindutan ng mouse sa apt

    + Mag-click sa «Buksan bilang administrator»

    + Mag-right click sa mga mapagkukunan.list

    + Inilalagay namin ang mouse pointer sa paglipas ng «Buksan gamit»

    + Nag-click kami sa «Text editor»

    + Sa mga linya na nagsisimula sa «deb http://archive.ubuntu.com/ubuntu/"(Posibleng 2) binago natin ang" archive "sa" old-release ", pagkatapos ay sinisimulan ang mga linyang iyon sa" deb http://old-releases.ubuntu.com/ubuntu/»

    + Mag-click sa pindutang I-save (sa itaas)

    + Isinasara namin ang gedit (ang text editor) at ang 2 Nautilus windows

    + Binubuksan namin ang Control Center

    + Binubuksan namin ang manager ng package ng Synaptic (inilalagay namin ang susi kung hihilingin ito para sa amin at pinindot namin ang Enter)

    + Mag-click sa pindutang I-reload (kaliwang tuktok) at hintayin ang impormasyon ng package upang matapos ang pag-download (suriin ang mga repository)

    + Kung ang isang window ay lilitaw na may isang babala, mag-click sa Isara

    + Naghihintay kami para sa pagbabalik ng index ng paghahanap at ang "Mabilis na paghahanap" ay ipinahiwatig sa itaas ng search box.

    Nalutas na!

    Maaari na kaming maghanap para sa mga pakete sa Synaptic at hilingin ito na i-download at mai-install ang mga ito nang awtomatiko, tulad ng dati.

    ----

    Sa LInux Mint 15 (Olivia) MATE ang file upang mai-edit ay:
    /etc/apt/sources.list.d/official-package-repositories.list

    Sa halip na i-reload mula sa Synaptic, mula sa terminal ay maaari na nating maisagawa:
    sudo apt-makakuha ng update

    ============
    Fuente: http://www.adslzone.net/postt336088.html